{
  "format_version": "1.20.50",
  "minecraft:block": {
    "description": {
      "identifier": "rc:depot",
      "menu_category": {
        "group": "itemGroup.name.create",
        "category": "Items"
      }
    },
    "components": {
      "minecraft:selection_box": {
        "origin": [ -8, 0, -8],
        "size": [ 16, 12, 16 ]
    },
    "minecraft:collision_box": {
      "origin": [ -8, 0, -8],
      "size": [ 16, 12, 16 ]
    },
    "minecraft:on_interact":{
      "event":"interacting"
    },
      "minecraft:material_instances": {
        "*": {
          "texture": "depot",
          "render_method": "alpha_test"
        }
      },
      "minecraft:geometry": { 
        "identifier": "geometry.depot"
       },
       "minecraft:queued_ticking": {
         "interval_range": [
           1,
           1
         ],
         "looping": true,
         "on_tick": {
           "event": "ticking"
         }
       },
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 0.3
      }
    },
    "events": {
      "ticking": {
        "run_command":{
          "command":[
            "scriptevent rc:depot"
          ]
        }
      },
      "interacting": {
        "run_command":{
          "command":[
            "scriptevent rc:depot_click"
          ]
        }
      }
    }
  }
}